<div class="row  ">
    <div class="col-lg-12" id="idHotspotPanel">
        <div class="panel panel-default" v-for="item,index in getaps.aps" v-if="item.mode == 'ap' && index == wlanIndex">
            <div class="panel-heading">
                <h4>
                    <span class="circle" :class="{'active': item.up}"></span>
                    <span class="clsDeviceSSID">{{item.wifissid}}</span>
                    <span v-show="item.channel >= 36 && item.wifissid" class="badge badge-pill badge-secondary" style="background: #cccccc;vertical-align: top;margin-top: 3px">5G</span>
                </h4>
                <!-- toggle btn -->
                <span class="pull-right has-panel-toggle" :id="generateId('gl_vue',item.ssid,index)">
                    <gl-tg-btn size="39px" timer="true" showTimer="true" class="btn-toggler" showon="true" theme="default" v-model="item.up"
                        @change="hotspotEnableAp(item,index)"></gl-tg-btn>
                </span>
            </div>
            <div class="panel-body panel-status">
                <div class="list-group hotspot-list">
                    <!-- Wi-Fi SSID -->
                    <span class="list-group-item ">
                        <div class="text-left pull-left">
                            <gl-label :labelValue="$lang.label.wfName"></gl-label>
                        </div>
                        <div class="list-input-field" :id="generateId('idHotspotSSIDCheck',item.ssid,index)">
                            <gl-input v-model="item.ssid" :disabled="btnName['btn'+index] == 'Modify'" type="text" :placeholder="$lang.holdPlace.required"></gl-input>
                        </div>
                        <div class="clearfix"></div>
                    </span>
                    <!-- Wi-Fi Key -->
                    <span class="list-group-item ">
                        <div class="text-left pull-left">
                            <gl-label :labelValue="$lang.label.wfKey" labelShow style="display: inline-block;margin-right: -5px;"></gl-label>
                            <gl-tooltip :content="$lang.toolTip.leastNum" direction="top">
                                <span class="fa fa-exclamation-circle"></span>
                            </gl-tooltip>
                        </div>
                        <div class="list-input-field" :id="generateId('idHotspotPasswordCheck',item.ssid,index)">
                            <span class="password-input-style">
                                <div class="passtrengthMeter">
                                    <gl-input v-model="item.key" :disabled="btnName['btn'+index] == 'Modify'" type="password" inputShow @postValue="checkpsw(item.key,index)" :placeholder="$lang.holdPlace.required" :error="!checkpassword && index == currentindex"></gl-input>
                                </div>
                            </span>
                        </div>
                        <div class="clearfix"></div>
                    </span>
                    <!-- Wi-Fi channel -->
                    <span class="list-group-item clearfix">
                        <div class="text-left pull-left">
                            <gl-label :labelValue="$lang.label.channel"></gl-label>
                        </div>
                   
                        <!-- select -->
                        <div class="list-input-field" :id="generateId('idHotspotChannelCheck',item.ssid,index)">
                            <span class="password-input-style">
                                <div class="passtrengthMeter">
                                    <gl-select :option="item.channels ? item.channels : []" :disabled="btnName['btn'+index] == 'Modify'"
                                        v-model="item.channel" showNum="5" checkLang></gl-select>
                                </div>
                            </span>
                        </div>
                     
                    </span>
                    <!-- Wi-Fi Speed -->
                    <span class="list-group-item">
                        <div class="text-left pull-left">
                            <gl-label :labelValue="$lang.label.speed"></gl-label>
                        </div>
                        <div class="list-input-field" :id="generateId('idHotspotChannelCheck',item.ssid,index)">
                            <span class="password-input-style">
                                <div class="passtrengthMeter">
                                    <gl-select :option="item.htmodelist ? item.htmodelist : []" :disabled="btnName['btn'+index] == 'Modify'" v-model="item.htmode"></gl-select>
                                </div>
                            </span>
                        </div>
                        <div class="clearfix"></div>
                    </span>
                    <!-- TODO -->
                    <span class="list-group-item">
                        <div class="text-left pull-left">
                            {{t($lang.wlan.txPower)}}
                            <gl-tooltip :content="$lang.toolTip.power" direction="top">
                                <span class="fa fa-info-circle" id="dbmTooltip"></span>
                            </gl-tooltip>
                            <span class="hide alert-green" :id="generateId('powerChangeMsg',item.ssid,index)">
                                <strong>{{t($lang.wlan.success)}}!</strong>
                            </span>
                        </div>
                        <span class="pull-right" id="spanBlock">
                            <gl-slider ref="slider" v-model="item.txpower" :tarData="item" :max="item.txpower_max" @callback="powerChange" :width="180"
                                tooltip-dir="right"></gl-slider>
                        </span>
                        <div class="clearfix cleanspace"></div>
                    </span>
                </div>
                <div style="background-color: #fff;text-align: center;margin: 10px;">
                    <gl-btn type="modify" class="btn" v-show="btnName['btn'+index] == 'Apply'" @click="cancel(index
                )">{{t($lang.button.cancel)}}</gl-btn>
                    <gl-btn :type="btnName['btn'+index] == 'Apply' ? 'purple' : 'modify'" class="btn" :disabled="btnStatus" @click="changeClick(item,index)">{{t(btnName['btn'+index])}}</gl-btn>
                </div>
            </div>
        </div>
    </div>